> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/prezentare-generala-a-cererilor-api-geopard/38.-interogare-obtine-dateutilizator.md).

# 38. Interogare: Obține "DateUtilizator"

Obține „UserData” al utilizatorului autorizat.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query getUserData {
  getUserData {
    uuid
    email
    suprafațăTotală
    suprafațăMaximă
    unitateSuprafață
    limbă
    cheieApi
    numărClaseSetDeDateSol
    organizații {
      uuid
      nume
      prenume
      nume
      email
      telefon
      dataCrearii
      updatedDate
      utilizatori {
        uuidOrganizație
        userUuid
        email
        toateFermele
        dataCrearii
        updatedDate
        ferme {
          uuid
          userUuid
          nume
          dataCrearii
          updatedDate
          farmOwnership
          email
        }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/prezentare-generala-a-cererilor-api-geopard/38.-interogare-obtine-dateutilizator.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
